import vrml.Event;
import vrml.field.ConstSFBool;
import vrml.field.SFColor;
import vrml.field.SFFloat;
import vrml.field.SFNode;
import vrml.node.Node;
import vrml.node.Script;

public class ColorTester extends Script {
   ColorPanel panel;
   SFFloat a_field;
   SFFloat s_field;
   SFFloat t_field;
   SFColor dc_field;
   SFColor ec_field;
   SFColor sc_field;

   public void initialize() {
      Node var1 = (Node)((SFNode)((Script)this).getField("target")).getValue();
      this.panel = new ColorPanel(this);
      this.a_field = (SFFloat)var1.getExposedField("ambientIntensity");
      this.dc_field = (SFColor)var1.getExposedField("diffuseColor");
      this.ec_field = (SFColor)var1.getExposedField("emissiveColor");
      this.s_field = (SFFloat)var1.getExposedField("shininess");
      this.sc_field = (SFColor)var1.getExposedField("specularColor");
      this.t_field = (SFFloat)var1.getExposedField("transparency");
   }

   public void processEvent(Event var1) {
      if (var1.getName().equals("entered")) {
         ConstSFBool var2 = (ConstSFBool)var1.getValue();
         if (var2.getValue()) {
            this.panel.map();
            return;
         }

         this.panel.hide();
      }

   }

   public void shutdown() {
      this.panel.dispose();
   }

   public float get_ambientIntensity() {
      return this.a_field.getValue();
   }

   public void set_ambientIntensity(float var1) {
      this.a_field.setValue(var1);
   }

   public void get_diffuseColor(float[] var1) {
      this.dc_field.getValue(var1);
   }

   public void set_diffuseColor(float[] var1) {
      this.dc_field.setValue(var1);
   }

   public void get_emissiveColor(float[] var1) {
      this.ec_field.getValue(var1);
   }

   public void set_emissiveColor(float[] var1) {
      this.ec_field.setValue(var1);
   }

   public float get_shininess() {
      return this.s_field.getValue();
   }

   public void set_shininess(float var1) {
      this.s_field.setValue(var1);
   }

   public void get_specularColor(float[] var1) {
      this.sc_field.getValue(var1);
   }

   public void set_specularColor(float[] var1) {
      this.sc_field.setValue(var1);
   }

   public float get_transparency() {
      return this.t_field.getValue();
   }

   public void set_transparency(float var1) {
      this.t_field.setValue(var1);
   }
}
