import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.IOException;
import java.net.ServerSocket;
import java.net.Socket;

class ExampleServer {
   public static final int PORT = 4130;

   public static void main(String[] var0) {
      ServerSocket var1 = null;
      Socket var2 = null;
      DataInputStream var3 = null;
      DataOutputStream var4 = null;
      float var5 = 0.0F;
      float var6 = 0.0F;
      float var7 = 0.0F;
      float var8 = 0.0F;
      System.out.println("Start server: " + 4130);

      try {
         var1 = new ServerSocket(4130);
      } catch (IOException var14) {
         System.out.println("Could not create socket on: " + 4130 + ", " + var14);
         System.exit(1);
      }

      System.out.println("Socket created: " + 4130);
      System.out.println("Waiting for client...");

      try {
         var2 = var1.accept();
      } catch (IOException var13) {
         System.out.println("Accept failed: " + 4130 + ", " + var13);
         System.exit(1);
      }

      System.out.println("Connection established: " + var2.getInetAddress());
      System.out.println("Open input/output stream...");

      try {
         var3 = new DataInputStream(var2.getInputStream());
         var4 = new DataOutputStream(var2.getOutputStream());
      } catch (IOException var12) {
         System.out.println("Could not create input/output stream on: " + 4130 + ", " + var12);
         System.exit(1);
      }

      while(true) {
         System.out.println("Reading data from client...");

         try {
            var8 = var3.readFloat();
            var5 = var3.readFloat();
            var6 = var3.readFloat();
            var7 = var3.readFloat();
            System.out.println("  rotation: " + var8 + " position: " + var5 + "," + var6 + "," + var7);
         } catch (IOException var11) {
            System.out.println("Could not read data.");
            System.exit(1);
         }

         try {
            var5 = (float)((double)var5 - Math.sin((double)var8));
            var7 = (float)((double)var7 - Math.cos((double)var8));
            var4.writeFloat(var5);
            var4.writeFloat(var6);
            var4.writeFloat(var7);
            System.out.println("  Sending new position to client: " + var5 + "," + var6 + "," + var7);
         } catch (IOException var10) {
            System.out.println("Could not write data");
            System.exit(1);
         }
      }
   }
}
